shibboleth-3.5.0

Classes | Namespaces | Functions | Variables
AttributeDecoder.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <shibsp/base.h>`
`#include <string>`
`#include <vector>`

## Classes
class | shibsp::AttributeDecoder
| Decodes XML objects into resolved Attributes. More...

## Namespaces
namespace | xmltooling
| Licensed to the University Corporation for Advanced Internet Development, Inc.
namespace | shibsp
| Shibboleth Service Provider Library.

## Functions
void | shibsp::registerAttributeDecoders ()
| Registers built-in AttributeDecoders into the runtime.

## Variables
class XMLTOOL_API | xmltooling::QName
class XMLTOOL_API | xmltooling::XMLObject
xmltooling::QName | shibsp::StringAttributeDecoderType
| Decodes into a SimpleAttribute.
xmltooling::QName | shibsp::ScopedAttributeDecoderType
| Decodes scoped and NameID attributes into a ScopedAttribute.
xmltooling::QName | shibsp::NameIDAttributeDecoderType
| Decodes NameID information into a NameIDAttribute.
xmltooling::QName | shibsp::NameIDFromScopedAttributeDecoderType
| Decodes scoped attributes into a NameIDAttribute.
xmltooling::QName | shibsp::KeyInfoAttributeDecoderType
| Decodes KeyInfo information into a SimpleAttribute.
xmltooling::QName | shibsp::DOMAttributeDecoderType
| Decodes arbitrary DOM information into an ExtensibleAttribute.
xmltooling::QName | shibsp::XMLAttributeDecoderType
| Decodes arbitrary XML into an XMLAttribute.
xmltooling::QName | shibsp::Base64AttributeDecoderType
| Decodes base64-encoded data into a SimpleAttribute.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Decodes SAML NameID/Attribute objects into resolved Attributes.